Loading...
Searching...
No Matches
c_execmem.c File Reference

Cluster library - Allocate cluster. More...

`#include <grass/cluster.h>`
Include dependency graph for c_execmem.c:

Go to the source code of this file.

## Functions

int | I_cluster_exec_allocate (struct Cluster *C)
| Allocate Cluster structure.
int | I_cluster_exec_free (struct Cluster *C)
| Free allocated Cluster structure.

## Detailed Description

Cluster library - Allocate cluster.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file c_execmem.c.

## Function Documentation

## I_cluster_exec_allocate()

int I_cluster_exec_allocate | ( | struct Cluster * | C | ) |

Allocate Cluster structure.

Parameters

  C | pointer to Cluster structure

Returns
  1 on success
  0 on error

Definition at line 24 of file c_execmem.c.

References G_debug(), I_cluster_exec_free(), and NULL.

Referenced by I_cluster_exec().

## I_cluster_exec_free()

int I_cluster_exec_free | ( | struct Cluster * | C | ) |

Free allocated Cluster structure.

Parameters

  C | pointer to Cluster structure

Returns
  0

Definition at line 53 of file c_execmem.c.

References NULL.

Referenced by I_cluster_exec_allocate().